;InnoSetupVersion=1.3.21

[Setup]
AppName=Surf Snoop
AppVerName=Surf Snoop 1.0
AppId=Surf Snoop
DefaultDirName={pf}\Surf Snoop
DefaultGroupName=Surf Snoop
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
DisableDirPage=yes
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{win}\tsad.dll"; DestDir: "{win}"; Flags: uninsneveruninstall 
Source: "{tmp}\TSAdBot.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall 
Source: "{win}\flexactv.dll"; DestDir: "{win}"; Flags: regserver sharedfile 
Source: "{pf}\Surf Snoop\ssnoop.cnt"; DestDir: "{pf}\Surf Snoop"; 
Source: "{pf}\Surf Snoop\ssnoop.exe"; DestDir: "{pf}\Surf Snoop"; 
Source: "{pf}\Surf Snoop\SSNOOP.HLP"; DestDir: "{pf}\Surf Snoop"; 
Source: "{pf}\\Surf Snoop\Readme.txt"; DestDir: "{pf}\\Surf Snoop"; 
Source: "{pf}\Surf Snoop\website.html"; DestDir: "{pf}\Surf Snoop"; 
Source: "{win}\BSSUSN.DLL"; DestDir: "{win}"; 
Source: "{win}\PBSSUSN.DLL"; DestDir: "{win}"; 
Source: "{win}\UBSSUSN.DLL"; DestDir: "{win}"; 
Source: "{win}\SSBSV1.DLL"; DestDir: "{win}"; Flags: uninsneveruninstall 
Source: "{sys}\StdOle2.tlb"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regtypelib 
Source: "{sys}\MSVBVM50.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\OleAut32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\OlePro32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\AsycFilt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\Ctl3d32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\ComCat.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\ARGradient.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\AROnTop.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\FlatBtn2.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{tmp}\SimpleRegistration.dll"; DestDir: "{tmp}"; Flags: deleteafterinstall 
Source: "{tmp}\CTInstall.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall 
Source: "{app}\SSUninst.exe"; DestDir: "{app}"; 

[Run]
Parameters: "{tmp}\TSAdBot.exe"; RunOnceId: "{tmp}"; OnlyBelowVersion: 0.0.1024,0.0; Flags: nowait
Parameters: "{tmp}\CTInstall.exe"; WorkingDir: "ssnoop ssnoop"; RunOnceId: "{tmp}"; OnlyBelowVersion: 0.0.1024,0.0; Flags: nowait

[UninstallRun]
Parameters: "{app}\SSUninst.exe"; WorkingDir: "-appname ssnoop"; RunOnceId: "{app}"; OnlyBelowVersion: 0.0.1024,0.0; Flags: nowait

[Icons]
Name: "{group}\Surf Snoop"; Filename: "{pf}\Surf Snoop\ssnoop.exe"; WorkingDir: "{pf}\Surf Snoop"; IconFilename: "{pf}\Surf Snoop\ssnoop.exe"; Flags: closeonexit 
